<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII: Riferimenti per il file fileIO.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li><a href="annotated.html"><span>Classi</span></a></li>
      <li class="current"><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>Elenco&#160;dei&#160;file</span></a></li>
      <li><a href="globals.html"><span>Elementi&#160;dei&#160;file</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Funzioni</a>  </div>
  <div class="headertitle">
<div class="title">Riferimenti per il file fileIO.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="dati_8h_source.html">dati.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="statistiche_8h_source.html">statistiche.h</a>&quot;</code><br />
<code>#include &lt;iostream&gt;</code><br />
</div>
<p><a href="fileIO_8h_source.html">Vai al codice sorgente di questo file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Funzioni</h2></td></tr>
<tr class="memitem:af634eaea3e8d6945256dd6d939a42421"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fileIO_8h.html#af634eaea3e8d6945256dd6d939a42421">load_immagini</a> (const char img_sfondo[], const char img_pg[], const char img_col_dx[], const char img_col_sx[], const char img_lan_dx[], const char img_lan_sx[], const char img_spada_dx[], const char img_spada_sx[], const char img_col_hud[], const char img_hp_hud[], const char img_npc_hud[], const char img_pausa[], const char img_dir_dx[], const char img_dir_sx[], const char img_spdc[], const char img_tank[], const char img_insg[])</td></tr>
<tr class="memdesc:af634eaea3e8d6945256dd6d939a42421"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che carica tutte le immagini di gioco (i nomi indicati nei parametri) dalla cartella img/.  <a href="#af634eaea3e8d6945256dd6d939a42421">Continua...</a><br /></td></tr>
<tr class="separator:af634eaea3e8d6945256dd6d939a42421"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3582169589d82ea8b470bb1af40d8d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structhighscore.html">highscore</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fileIO_8h.html#ab3582169589d82ea8b470bb1af40d8d5">leggi_highscores</a> (int &amp;i)</td></tr>
<tr class="memdesc:ab3582169589d82ea8b470bb1af40d8d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che legge i punteggi migliori dal file highscores.sav, e li ritorna in un array di i elementi, parametro di output della funzione.  <a href="#ab3582169589d82ea8b470bb1af40d8d5">Continua...</a><br /></td></tr>
<tr class="separator:ab3582169589d82ea8b470bb1af40d8d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5edad6f7bb48baad760ef4cc64f09f04"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fileIO_8h.html#a5edad6f7bb48baad760ef4cc64f09f04">salva_risultati</a> (<a class="el" href="structhighscore.html">highscore</a> h)</td></tr>
<tr class="memdesc:a5edad6f7bb48baad760ef4cc64f09f04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che inserisce il punteggio h, passato come parametro, all'interno del file highscores.sav.  <a href="#a5edad6f7bb48baad760ef4cc64f09f04">Continua...</a><br /></td></tr>
<tr class="separator:a5edad6f7bb48baad760ef4cc64f09f04"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentazione delle funzioni</h2>
<a class="anchor" id="ab3582169589d82ea8b470bb1af40d8d5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structhighscore.html">highscore</a>* leggi_highscores </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che legge i punteggi migliori dal file highscores.sav, e li ritorna in un array di i elementi, parametro di output della funzione. </p>
<div class="fragment"><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;{    </div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    ifstream in(<span class="stringliteral">&quot;highscores.sav&quot;</span>);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keywordflow">if</span>(!in)</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keywordflow">return</span> NULL;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    </div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <a class="code" href="structhighscore.html">highscore</a> *h = <span class="keyword">new</span> <a class="code" href="structhighscore.html">highscore</a>[10];</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    i = 0;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    </div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keywordflow">while</span> (!in.eof() &amp;&amp; i &lt; 10)</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    {</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        in &gt;&gt; h[i].<a class="code" href="structhighscore.html#a05f11acff810fdcd3e04c762b300f708">nome</a> &gt;&gt; h[i].<a class="code" href="structhighscore.html#a18b417e85925aa34816f7aad1b8770e8">punteggio</a>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        i++;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    }</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordflow">if</span>(in.eof())</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        i--;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <a class="code" href="fileIO_8cc.html#a38d5625a859d3ee3497ad6d074fa5baf">sort</a>(h, i);</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    in.close();</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <span class="keywordflow">return</span> h;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;}</div><div class="ttc" id="structhighscore_html"><div class="ttname"><a href="structhighscore.html">highscore</a></div><div class="ttdoc">Struttura dati che associa un nome di 3 caratteri ad un punteggio numerico intero. </div><div class="ttdef"><b>Definition:</b> statistiche.h:31</div></div>
<div class="ttc" id="fileIO_8cc_html_a38d5625a859d3ee3497ad6d074fa5baf"><div class="ttname"><a href="fileIO_8cc.html#a38d5625a859d3ee3497ad6d074fa5baf">sort</a></div><div class="ttdeci">void sort(highscore *h, int N)</div><div class="ttdef"><b>Definition:</b> fileIO.cc:85</div></div>
<div class="ttc" id="structhighscore_html_a05f11acff810fdcd3e04c762b300f708"><div class="ttname"><a href="structhighscore.html#a05f11acff810fdcd3e04c762b300f708">highscore::nome</a></div><div class="ttdeci">char nome[4]</div><div class="ttdef"><b>Definition:</b> statistiche.h:33</div></div>
<div class="ttc" id="structhighscore_html_a18b417e85925aa34816f7aad1b8770e8"><div class="ttname"><a href="structhighscore.html#a18b417e85925aa34816f7aad1b8770e8">highscore::punteggio</a></div><div class="ttdeci">int punteggio</div><div class="ttdef"><b>Definition:</b> statistiche.h:34</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="af634eaea3e8d6945256dd6d939a42421"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool load_immagini </td>
          <td>(</td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_sfondo</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_pg</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_col_dx</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_col_sx</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_lan_dx</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_lan_sx</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_spada_dx</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_spada_sx</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_col_hud</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_hp_hud</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_npc_hud</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_pausa</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_dir_dx</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_dir_sx</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_spdc</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_tank</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char&#160;</td>
          <td class="paramname"><em>img_insg</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che carica tutte le immagini di gioco (i nomi indicati nei parametri) dalla cartella img/. </p>
<div class="fragment"><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;{</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <a class="code" href="fileIO_8cc.html#a4bf17975520f6f0019e017febc3d62f0">SFONDO_1</a> = al_load_bitmap(img_sfondo);</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <a class="code" href="fileIO_8cc.html#a5e156b89fe62549bbe2c63f2cedb86cb">PG_SPRITE</a> = al_load_bitmap(img_pg);</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <a class="code" href="fileIO_8cc.html#a47cd91a3159615234c62279da368531b">COL_DX</a> = al_load_bitmap(img_col_dx);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <a class="code" href="fileIO_8cc.html#a9cdfd60978604a36c70391eca5f667a8">COL_SX</a> = al_load_bitmap(img_col_sx);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <a class="code" href="fileIO_8cc.html#a6d9dbca1e829a248c9b1b6422916df12">LAN_DX</a> = al_load_bitmap(img_lan_dx);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="fileIO_8cc.html#ab7f4c8c0ea9c204a7f3ebb26c9eec4d2">LAN_SX</a> = al_load_bitmap(img_lan_sx);</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="fileIO_8cc.html#a8d8a4d3db64410747ce2299c0c05c2bb">SPADA_DX</a> = al_load_bitmap(img_spada_dx);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="fileIO_8cc.html#ada20e00b826a92457567e8dc9a3666c2">SPADA_SX</a> = al_load_bitmap(img_spada_sx);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="fileIO_8cc.html#acf9a3d453b6e29e788853da61c801403">HP_HUD</a> = al_load_bitmap(img_hp_hud);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="fileIO_8cc.html#a8d06e6cc14b25b172283ec8e670626f7">COL_HUD</a> = al_load_bitmap(img_col_hud);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <a class="code" href="fileIO_8cc.html#ad830900f471fd32a68116ddbd9d4c8bf">NPC_HUD</a> = al_load_bitmap(img_npc_hud);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="fileIO_8cc.html#a35d38ebf668bbfa1c86974f543a35f14">PAUSA</a> = al_load_bitmap(img_pausa);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <a class="code" href="fileIO_8cc.html#a3a21baed9d6df4610280bcbfa7cb3a5f">DIR_DX</a> = al_load_bitmap(img_dir_dx);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <a class="code" href="fileIO_8cc.html#ae7b4b2ab770528932506cb7be3e589e3">DIR_SX</a> = al_load_bitmap(img_dir_sx);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <a class="code" href="fileIO_8cc.html#aa902400e3c3722eb9033b6705e9c4939">IMG_SPDC</a> = al_load_bitmap(img_spdc);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <a class="code" href="fileIO_8cc.html#a2ddadc7056d05ff357aef6eb9ca84494">IMG_TANK</a> = al_load_bitmap(img_tank);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <a class="code" href="fileIO_8cc.html#a80eaf3a8aa0fe2d3cc9bb46b26695585">IMG_INSG</a> = al_load_bitmap(img_insg);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#a4bf17975520f6f0019e017febc3d62f0">SFONDO_1</a> == NULL)</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#a5e156b89fe62549bbe2c63f2cedb86cb">PG_SPRITE</a> == NULL)</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#a47cd91a3159615234c62279da368531b">COL_DX</a> == NULL)</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#a9cdfd60978604a36c70391eca5f667a8">COL_SX</a> == NULL)</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#a6d9dbca1e829a248c9b1b6422916df12">LAN_DX</a> == NULL)</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#ab7f4c8c0ea9c204a7f3ebb26c9eec4d2">LAN_SX</a> == NULL)</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#a8d8a4d3db64410747ce2299c0c05c2bb">SPADA_DX</a> == NULL)</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#ada20e00b826a92457567e8dc9a3666c2">SPADA_SX</a> == NULL)</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#acf9a3d453b6e29e788853da61c801403">HP_HUD</a> == NULL)</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#a8d06e6cc14b25b172283ec8e670626f7">COL_HUD</a> == NULL)</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#ad830900f471fd32a68116ddbd9d4c8bf">NPC_HUD</a> == NULL)</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#a35d38ebf668bbfa1c86974f543a35f14">PAUSA</a> == NULL)</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#a3a21baed9d6df4610280bcbfa7cb3a5f">DIR_DX</a> == NULL)</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#ae7b4b2ab770528932506cb7be3e589e3">DIR_SX</a> == NULL)</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#aa902400e3c3722eb9033b6705e9c4939">IMG_SPDC</a> == NULL)</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#a80eaf3a8aa0fe2d3cc9bb46b26695585">IMG_INSG</a> == NULL)</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="fileIO_8cc.html#a2ddadc7056d05ff357aef6eb9ca84494">IMG_TANK</a> == NULL)</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;}</div><div class="ttc" id="fileIO_8cc_html_aa902400e3c3722eb9033b6705e9c4939"><div class="ttname"><a href="fileIO_8cc.html#aa902400e3c3722eb9033b6705e9c4939">IMG_SPDC</a></div><div class="ttdeci">ALLEGRO_BITMAP * IMG_SPDC</div><div class="ttdoc">Immagine dello spadaccino. </div><div class="ttdef"><b>Definition:</b> dati.cc:17</div></div>
<div class="ttc" id="fileIO_8cc_html_a47cd91a3159615234c62279da368531b"><div class="ttname"><a href="fileIO_8cc.html#a47cd91a3159615234c62279da368531b">COL_DX</a></div><div class="ttdeci">ALLEGRO_BITMAP * COL_DX</div><div class="ttdoc">Immagine del coltello rivolto a destra. </div><div class="ttdef"><b>Definition:</b> dati.cc:4</div></div>
<div class="ttc" id="fileIO_8cc_html_a4bf17975520f6f0019e017febc3d62f0"><div class="ttname"><a href="fileIO_8cc.html#a4bf17975520f6f0019e017febc3d62f0">SFONDO_1</a></div><div class="ttdeci">ALLEGRO_BITMAP * SFONDO_1</div><div class="ttdoc">Immagine dello sfondo di gioco. </div><div class="ttdef"><b>Definition:</b> dati.cc:8</div></div>
<div class="ttc" id="fileIO_8cc_html_a2ddadc7056d05ff357aef6eb9ca84494"><div class="ttname"><a href="fileIO_8cc.html#a2ddadc7056d05ff357aef6eb9ca84494">IMG_TANK</a></div><div class="ttdeci">ALLEGRO_BITMAP * IMG_TANK</div><div class="ttdoc">Immagine del png tank. </div><div class="ttdef"><b>Definition:</b> dati.cc:19</div></div>
<div class="ttc" id="fileIO_8cc_html_ada20e00b826a92457567e8dc9a3666c2"><div class="ttname"><a href="fileIO_8cc.html#ada20e00b826a92457567e8dc9a3666c2">SPADA_SX</a></div><div class="ttdeci">ALLEGRO_BITMAP * SPADA_SX</div><div class="ttdoc">Immagine della spada rivolta a sinistra. </div><div class="ttdef"><b>Definition:</b> dati.cc:10</div></div>
<div class="ttc" id="fileIO_8cc_html_ae7b4b2ab770528932506cb7be3e589e3"><div class="ttname"><a href="fileIO_8cc.html#ae7b4b2ab770528932506cb7be3e589e3">DIR_SX</a></div><div class="ttdeci">ALLEGRO_BITMAP * DIR_SX</div><div class="ttdoc">Immagine della freccia direzionale rivolta a sinistra. </div><div class="ttdef"><b>Definition:</b> dati.cc:16</div></div>
<div class="ttc" id="fileIO_8cc_html_a8d8a4d3db64410747ce2299c0c05c2bb"><div class="ttname"><a href="fileIO_8cc.html#a8d8a4d3db64410747ce2299c0c05c2bb">SPADA_DX</a></div><div class="ttdeci">ALLEGRO_BITMAP * SPADA_DX</div><div class="ttdoc">Immagine della spada rivolta a destra. </div><div class="ttdef"><b>Definition:</b> dati.cc:9</div></div>
<div class="ttc" id="fileIO_8cc_html_a6d9dbca1e829a248c9b1b6422916df12"><div class="ttname"><a href="fileIO_8cc.html#a6d9dbca1e829a248c9b1b6422916df12">LAN_DX</a></div><div class="ttdeci">ALLEGRO_BITMAP * LAN_DX</div><div class="ttdoc">Immagine della lancia rivolta a destra. </div><div class="ttdef"><b>Definition:</b> dati.cc:6</div></div>
<div class="ttc" id="fileIO_8cc_html_a80eaf3a8aa0fe2d3cc9bb46b26695585"><div class="ttname"><a href="fileIO_8cc.html#a80eaf3a8aa0fe2d3cc9bb46b26695585">IMG_INSG</a></div><div class="ttdeci">ALLEGRO_BITMAP * IMG_INSG</div><div class="ttdoc">Immagine dell&amp;#39;inseguitore. </div><div class="ttdef"><b>Definition:</b> dati.cc:18</div></div>
<div class="ttc" id="fileIO_8cc_html_a5e156b89fe62549bbe2c63f2cedb86cb"><div class="ttname"><a href="fileIO_8cc.html#a5e156b89fe62549bbe2c63f2cedb86cb">PG_SPRITE</a></div><div class="ttdeci">ALLEGRO_BITMAP * PG_SPRITE</div><div class="ttdoc">Immagine del personaggio. </div><div class="ttdef"><b>Definition:</b> dati.cc:3</div></div>
<div class="ttc" id="fileIO_8cc_html_a35d38ebf668bbfa1c86974f543a35f14"><div class="ttname"><a href="fileIO_8cc.html#a35d38ebf668bbfa1c86974f543a35f14">PAUSA</a></div><div class="ttdeci">ALLEGRO_BITMAP * PAUSA</div><div class="ttdoc">Immagine della schermata di pausa. </div><div class="ttdef"><b>Definition:</b> dati.cc:14</div></div>
<div class="ttc" id="fileIO_8cc_html_acf9a3d453b6e29e788853da61c801403"><div class="ttname"><a href="fileIO_8cc.html#acf9a3d453b6e29e788853da61c801403">HP_HUD</a></div><div class="ttdeci">ALLEGRO_BITMAP * HP_HUD</div><div class="ttdoc">Immagine del contatore di vite rimanenti. </div><div class="ttdef"><b>Definition:</b> dati.cc:12</div></div>
<div class="ttc" id="fileIO_8cc_html_ad830900f471fd32a68116ddbd9d4c8bf"><div class="ttname"><a href="fileIO_8cc.html#ad830900f471fd32a68116ddbd9d4c8bf">NPC_HUD</a></div><div class="ttdeci">ALLEGRO_BITMAP * NPC_HUD</div><div class="ttdoc">Immagine del contatore di nemici rimanenti. </div><div class="ttdef"><b>Definition:</b> dati.cc:13</div></div>
<div class="ttc" id="fileIO_8cc_html_a8d06e6cc14b25b172283ec8e670626f7"><div class="ttname"><a href="fileIO_8cc.html#a8d06e6cc14b25b172283ec8e670626f7">COL_HUD</a></div><div class="ttdeci">ALLEGRO_BITMAP * COL_HUD</div><div class="ttdoc">Immagine del contatore di coltelli rimanenti. </div><div class="ttdef"><b>Definition:</b> dati.cc:11</div></div>
<div class="ttc" id="fileIO_8cc_html_a3a21baed9d6df4610280bcbfa7cb3a5f"><div class="ttname"><a href="fileIO_8cc.html#a3a21baed9d6df4610280bcbfa7cb3a5f">DIR_DX</a></div><div class="ttdeci">ALLEGRO_BITMAP * DIR_DX</div><div class="ttdoc">Immagine della freccia direzionale rivolta a destra. </div><div class="ttdef"><b>Definition:</b> dati.cc:15</div></div>
<div class="ttc" id="fileIO_8cc_html_ab7f4c8c0ea9c204a7f3ebb26c9eec4d2"><div class="ttname"><a href="fileIO_8cc.html#ab7f4c8c0ea9c204a7f3ebb26c9eec4d2">LAN_SX</a></div><div class="ttdeci">ALLEGRO_BITMAP * LAN_SX</div><div class="ttdoc">Immagine della lancia rivolta a sinistra. </div><div class="ttdef"><b>Definition:</b> dati.cc:7</div></div>
<div class="ttc" id="fileIO_8cc_html_a9cdfd60978604a36c70391eca5f667a8"><div class="ttname"><a href="fileIO_8cc.html#a9cdfd60978604a36c70391eca5f667a8">COL_SX</a></div><div class="ttdeci">ALLEGRO_BITMAP * COL_SX</div><div class="ttdoc">Immagine del coltello rivolto a sinistra. </div><div class="ttdef"><b>Definition:</b> dati.cc:5</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a5edad6f7bb48baad760ef4cc64f09f04"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool salva_risultati </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structhighscore.html">highscore</a>&#160;</td>
          <td class="paramname"><em>h</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che inserisce il punteggio h, passato come parametro, all'interno del file highscores.sav. </p>
<div class="fragment"><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;{</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordtype">int</span> i = 10;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <a class="code" href="structhighscore.html">highscore</a>* hs = <a class="code" href="fileIO_8cc.html#ab3582169589d82ea8b470bb1af40d8d5">leggi_highscores</a>(i);</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    hs[i] = h;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    i++;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <a class="code" href="fileIO_8cc.html#a38d5625a859d3ee3497ad6d074fa5baf">sort</a>(hs, i);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    ofstream of(<span class="stringliteral">&quot;highscores.sav&quot;</span>);</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="keywordflow">if</span>(!of)</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> j = 0; hs[j].<a class="code" href="structhighscore.html#a18b417e85925aa34816f7aad1b8770e8">punteggio</a> != 0; j++)</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        of &lt;&lt; hs[j].nome &lt;&lt; <span class="stringliteral">&quot; &quot;</span> &lt;&lt; hs[j].punteggio &lt;&lt; endl;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    of.flush();</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    of.close();</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;}<div class="ttc" id="fileIO_8cc_html_ab3582169589d82ea8b470bb1af40d8d5"><div class="ttname"><a href="fileIO_8cc.html#ab3582169589d82ea8b470bb1af40d8d5">leggi_highscores</a></div><div class="ttdeci">highscore * leggi_highscores(int &amp;i)</div><div class="ttdoc">Funzione che legge i punteggi migliori dal file highscores.sav, e li ritorna in un array di i element...</div><div class="ttdef"><b>Definition:</b> fileIO.cc:100</div></div>
<div class="ttc" id="structhighscore_html"><div class="ttname"><a href="structhighscore.html">highscore</a></div><div class="ttdoc">Struttura dati che associa un nome di 3 caratteri ad un punteggio numerico intero. </div><div class="ttdef"><b>Definition:</b> statistiche.h:31</div></div>
<div class="ttc" id="fileIO_8cc_html_a38d5625a859d3ee3497ad6d074fa5baf"><div class="ttname"><a href="fileIO_8cc.html#a38d5625a859d3ee3497ad6d074fa5baf">sort</a></div><div class="ttdeci">void sort(highscore *h, int N)</div><div class="ttdef"><b>Definition:</b> fileIO.cc:85</div></div>
<div class="ttc" id="structhighscore_html_a18b417e85925aa34816f7aad1b8770e8"><div class="ttname"><a href="structhighscore.html#a18b417e85925aa34816f7aad1b8770e8">highscore::punteggio</a></div><div class="ttdeci">int punteggio</div><div class="ttdef"><b>Definition:</b> statistiche.h:34</div></div>
</div><!-- fragment -->
</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
